﻿

namespace Minecraft.Imaging
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// This class is a datastructure for managing settings for when a world is rendered.
    /// </summary>
    public class RenderSettings : IMapSettings
    {
        /// <summary>
        /// Stores whether we are rendering the hell dimension or not
        /// </summary>
        private bool isHell;

        /// <summary>
        /// Stores the lighting level
        /// </summary>
        private int lightLevel;

        /// <summary>
        /// Stores the world path
        /// </summary>
        private string worldPath;

        /// <summary>
        /// Gets or sets a value indicating whether we are rendering the hell dimension or not
        /// </summary>
        public bool IsHell
        {
            get
            {
                return this.isHell;
            }

            set
            {
                this.isHell = value;
            }
        }

        /// <summary>
        /// Gets or sets a value indicating the current lighting level.
        /// </summary>
        public int LightLevel
        {
            get
            {
                return this.lightLevel;
            }

            set
            {
                this.lightLevel = value;
            }
        }

        /// <summary>
        /// Gets or sets a value containing the current world path.
        /// </summary>
        public string WorldPath
        {
            get
            {
                return this.worldPath;
            }

            set
            {
                this.worldPath = value;
            }
        }
    }
}
