﻿namespace Minecraft.Imaging
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Defines the interface that will contain settings
    /// </summary>
    public interface IMapSettings
    {
        /// <summary>
        /// Gets or sets a value indicating whether we are rendering the hell dimension or not
        /// </summary>
        public bool IsHell
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets a value indicating the current lighting level.
        /// </summary>
        public int LightLevel
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets a value containing the current world path.
        /// </summary>
        public string WorldPath
        {
            get;
            set;
        }
    }
}
